%define srcname herqq

%define major 1
%define api 2.7
%define libname %mklibname hupnp %{major}
%define libqtsolution %mklibname QtSolutions_SOAP %{api} %{major}
%define devname %mklibname hupnp -d

Summary:	Qt4-based software library for building UPnP devices and control points
Name:		hupnp
Version:	1.0.0
Release:	5
License:	LGPLv3+
Group:		System/Libraries
Url:		http://www.herqq.org
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{srcname}-%{version}.zip
BuildRequires:	qt4-devel

%description
Herqq UPnP (HUPnP) is a software library for building UPnP devices and control
points conforming to the UPnP Device Architecture version 1.1. It is designed
to be simple to use and robust in operation. It is built using C++ and the Qt
Framework following many of the design principles and programming practices
used in the Qt Framework. It integrates into Qt-based software smoothly and
enables truly rapid UPnP development.

%files

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Software library for building UPnP devices and control points.

%files -n %{libname}
%{_libdir}/libHUpnp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libqtsolution}
Summary:	Library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}libqtsolution1 < 1.0.0-5
Obsoletes:	%{_lib}libqtsolution1 < 1.0.0-5

%description -n %{libqtsolution}
Library for %{name}.

%files -n %{libqtsolution}
%{_libdir}/libQtSolutions_SOAP-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	%{libqtsolution} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 1.0.0-5
Obsoletes:	%{name}-devel < 1.0.0-5

%description -n %{devname}
Libraries and header files to develop applications that use %{name}.

%files -n %{devname}
%{_includedir}/HUpnpCore/
%{_libdir}/libQtSolutions_SOAP-2.7.so
%{_libdir}/libHUpnp.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}

%build
%qmake_qt4 %{srcname}.pro

%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}/usr/include/HUpnpCore
pushd hupnp/bin
mv lib* %{buildroot}%{_libdir}
popd
pushd hupnp/deploy/include/HUpnpCore/
mv * %{buildroot}/usr/include/HUpnpCore/
popd


%changelog
* Sun Dec 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0-5
+ Revision: b9fb05f
- Fix library and devel packages' naming


